function onBegin()
     disableRetry ()
     disableMovement()
     wait(1.5)
     setFlag("Dejection_Crumble", true)
     wait(0.8)
     setFlag("Dejection_Crumble2", true)
     setFlag("Dejection_Blackout", true)
     wait(0.5)
     setFlag("Dejection_Teleport", true)
     wait(1)
     enableMovement()
end

